#pragma once

#include "xtr/doc/FileTypes.h"

namespace xtr::dialog {

class ExportModel final : public CDialog {
public:
  FileType exportType{ FileType::docx };

private:
  int32_t typeRadio{};

public:
  explicit ExportModel(CWnd* pParent = nullptr);
  DECLARE_MESSAGE_MAP()

private:
  void DoDataExchange(CDataExchange* pDX) override;
};

} // namespace xtr::dialog